Bug 1002418 - when disable tcp in mountd, umount.nfs fail with no output.
when disable tcp in mountd, umount.nfs fail with no output.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.9
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 03:29 EDT by Yin.JianHong
Modified: 2014-02-05 17:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:17:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-08-29 03:29:05 EDT
Description of problem:
when disable  tcp in mountd, umount.nfs fail with no output.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.9-66.el5
nfs-utils-1.0.9-69.el5

How reproducible:
always

Steps to Reproduce:
1. echo 'RPCMOUNTDOPTS="--no-tcp"' >>/etc/sysconfig/nfs;
   echo '/tmp *(rw)' >/etc/exports
2. service nfs restart
3. mount localhost:/tmp  /media
   umount.nfs  /media
   echo $?

Actual results:
[root@dhcp-13-16 ~]# umount.nfs /media -vvv
mount: Unable to connect to 127.0.0.1:0, errno 111 (Connection refused)
[root@dhcp-13-16 ~]# umount.nfs /media -vvv  -f   #and -f can umount success
localhost:/tmp umounted

Expected results:
umount success

Additional info:
Comment 1 RHEL Product and Program Management 2014-01-29 05:35:06 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 RHEL Product and Program Management 2014-02-05 17:17:08 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.